<!DOCTYPE html>
<html>
<head>
<meta charset="ISO-8859-1">
<title>BIBLIO NUM APPLICATION</title>
	<link rel="stylesheet" type="text/css" href="bootstrap-3.3.7-dist/css/bootstrap.min.css" />
	<link rel="stylesheet" type="text/css" href="css/style.css" />
</head>
<body ng-app="BiblioApp" ng-controller="BiblioController" background="img/bg.jpg">
<div class="col-md-6">
<div class="panel panel-info spacer">
<div class="panel-heading">Add Book</div>
<div class="panel-body">
	<form>
		<table>
			<tr>
				<td style="padding:5px"><label>Title:</label></td>						
				<td style="padding:5px"><input type="text" ng-model="edTitle" /></td>
				<td style="padding:5px"><label>Resume:</label></td>
				<td style="padding:5px"><input type="text" ng-model="edResume" /></td>
			</tr>
			<tr>
				<td style="padding:5px"><label>Authors:</label></td>						
				<td style="padding:5px"><input type="text" ng-model="edAuthors" /></td>
				<td style="padding:5px"><label>Company:</label></td>
				<td style="padding:5px"><input type="text" ng-model="edCompany" /></td>
			</tr>
			<tr>
				<td style="padding:5px"><label>File name:</label></td>						
				<td style="padding:5px"><input type="text" ng-model="edFilename" /></td>
				<td style="padding:5px"><label>File version:</label></td>
				<td style="padding:5px"><input type="text" ng-model="edVersion" /></td>
			</tr>
		</table>
		<button class="btn btn-primary" ng-click="saveBook()">Add Book</button>
	</form>
</div>
</div>
</div>

<div class="col-md-6">
<div class="panel panel-info spacer">
<div class="panel-heading">Find Book</div>
<div class="panel-body">
	<div class="form-group" style="padding:20px 0px 0px 150px">
		<input type="radio" ng-model="typeSource" value="postgre" />
		<label>PostgreSQL</label>
		<input type="radio" ng-model="typeSource" value="solr"/>
		<label>Solr</label>		
	</div>
	<div class="form-group" style="padding:0px 0px 35px 25px">
		<label>Criteria</label>
		<input type="text" size="50" ng-model="edSearch" />
		<button ng-click="findBook()">Search</button>
	</div>

</div>
</div>
</div>

<div class="col-md-12">
<div class="panel panel-info spacer">
<div class="panel-heading">{{totalElements}} results found.</div>
<div class="panel-body">
	<table class = "table table-striped">
		<thead>
			<tr>
				<th>Title</th>
				<th>Action</th>
				<th>Pub.date</th>
				<th>Authors</th>
				<th>Company</th>
				<th>Version</th>
				<th>Resume</th>
			</tr>
		</thead>
		<tbody>
			<tr ng-repeat="book in bookPages.books">
				<td>{{book.title}}</td>
				<td><a class="clickable" ng-click="downloadBook(book.id)"><img src="img/read.jpg" /></a></td>
				<td>{{book.dateEd}}</td>
				<td>{{book.authors}}</td>
				<td>{{book.company}}</td>
				<td>{{book.version}}</td>	
				<td>{{book.resume}}</td>			
			</tr>
		</tbody>
	</table>
</div>
</div>
<div class = "container spacer" style="background-color: #ccffcc;">
	<ul class = "nav nav-pills">
		<li class="clickable" ng-class="{active:$index==currentPage}" ng-repeat="p in pages track by $index">
			<a ng-click="goToPage($index)">{{$index}}</a>
		</li>
	</ul>
</div>
</div>


<script type="text/javascript" src="angular-1.6.9/angular.min.js"></script>
<script type="text/javascript" src="js/biblioapp.js"></script>
</body>
</html>